#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 what4
version:              1.1
visibility:           public
id:                   what4-1.1-CndmUoi2WaI4cuxKMyP3ow
key:                  what4-1.1-CndmUoi2WaI4cuxKMyP3ow
license:              BSD-3-Clause
copyright:            (c) Galois, Inc 2014-2021
maintainer:           jhendrix@galois.com, rdockins@galois.com
author:               Galois Inc.
homepage:             https://github.com/GaloisInc/what4
synopsis:             Solver-agnostic symbolic values support for issuing queries
description:
    What4 is a generic library for representing values as symbolic formulae which may
    contain references to symbolic values, representing unknown variables.
    It provides support for communicating with a variety of SAT and SMT solvers,
    including Z3, CVC4, Yices, Boolector, STP, and dReal.
    The data representation types make heavy use of GADT-style type indices
    to ensure type-correct manipulation of symbolic values.

category:             Formal Methods, Theorem Provers, Symbolic Computation, SMT
abi:                  cecb5ab6472646c1873e5bc2fc60996c
exposed:              True
exposed-modules:
    Test.Verification What4.BaseTypes What4.Concrete What4.Config
    What4.Expr What4.Expr.App What4.Expr.AppTheory
    What4.Expr.ArrayUpdateMap What4.Expr.BoolMap What4.Expr.Builder
    What4.Expr.GroundEval What4.Expr.MATLAB What4.Expr.Simplify
    What4.Expr.StringSeq What4.Expr.UnaryBV
    What4.Expr.VarIdentification What4.Expr.WeightedSum
    What4.FunctionName What4.IndexLit What4.Interface
    What4.InterpretedFloatingPoint What4.LabeledPred What4.Panic
    What4.Partial What4.ProblemFeatures What4.ProgramLoc
    What4.Protocol.Online What4.Protocol.PolyRoot
    What4.Protocol.ReadDecimal What4.Protocol.SExp
    What4.Protocol.SMTLib2 What4.Protocol.SMTLib2.Parse
    What4.Protocol.SMTLib2.Syntax What4.Protocol.SMTWriter
    What4.Protocol.VerilogWriter
    What4.Protocol.VerilogWriter.ABCVerilog
    What4.Protocol.VerilogWriter.AST
    What4.Protocol.VerilogWriter.Backend What4.SFloat What4.SWord
    What4.SatResult What4.SemiRing What4.Solver What4.Solver.Adapter
    What4.Solver.Boolector What4.Solver.CVC4 What4.Solver.DReal
    What4.Solver.ExternalABC What4.Solver.STP What4.Solver.Yices
    What4.Solver.Z3 What4.Symbol What4.Utils.AbstractDomains
    What4.Utils.AnnotatedMap What4.Utils.Arithmetic
    What4.Utils.BVDomain What4.Utils.BVDomain.Arith
    What4.Utils.BVDomain.Bitwise What4.Utils.BVDomain.XOR
    What4.Utils.Complex What4.Utils.Endian What4.Utils.Environment
    What4.Utils.FloatHelpers What4.Utils.HandleReader
    What4.Utils.IncrHash What4.Utils.LeqMap What4.Utils.MonadST
    What4.Utils.OnlyIntRepr What4.Utils.Process What4.Utils.Streams
    What4.Utils.StringLiteral What4.Utils.Versions
    What4.Utils.Word16String What4.WordMap

import-dirs:          /usr/lib/ghc-8.10.4/site-local/what4-1.1
library-dirs:         /usr/lib/ghc-8.10.4/site-local/what4-1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/what4-1.1
hs-libraries:         HSwhat4-1.1-CndmUoi2WaI4cuxKMyP3ow
depends:
    attoparsec-0.14.1-LkeByB68Bw23cZHiDQM5Wy base-4.14.1.0
    bifunctors-5.5.10-ApRYyfE0sf7BdPXrRFT1r7
    bimap-0.4.0-8Wf49vdmjvmGI5sn6CI22T
    bv-sized-1.0.2-EhqoplfwjA8aib9290yEi bytestring-0.10.12.0
    config-value-0.8.1-CPHuhX6Th8uAEkzmCpZEqk containers-0.6.2.1
    data-binary-ieee754-0.4.4-HlSlHq1qDaTKAKUZNW5rdz deepseq-1.4.4.0
    deriving-compat-0.5.10-H29W31ltrv573ONgeeGu0w directory-1.3.6.0
    exceptions-0.10.4 extra-1.7.9-D2Qq0YeirAL7LfZ0XR5SIZ
    filepath-1.4.2.1 fingertree-0.1.4.2-6FSLA5TSx27EOiSUN83rHk
    ghc-prim-0.6.1 hashable-1.3.1.0-1TzQw0rlraYH9EvMt0jxBh
    hashtables-1.2.4.1-JKzLogR0xWuF1VP2iAmVFd
    io-streams-1.5.2.0-BtQI1eQRz9sAm6OZIhAWCl
    lens-5-KtG5disPT0S2GVDbcUrbVF libBF-0.6.2-tDxl2mtBM9X13kGSkqCI
    mtl-2.2.2 panic-0.4.0.1-Fo4sCfDqcEkCpAt882LFEy
    parameterized-utils-2.1.3.0-8vko5rQUl6E2kIImXjyPzE
    prettyprinter-1.7.0-DtB4KjvGZYqHgTO0muZVOZ process-1.6.9.0
    scientific-0.3.6.2-6Lqab90XKbP3SEh7juBnko template-haskell-2.16.0.0
    temporary-1.3-gNC8LCVARKrj5kKsiHlM text-1.2.4.1
    th-abstraction-0.4.2.0-CPMLTlyMgmr6dbHxHL95CG
    th-lift-0.8.2-7d37mrJ37yC1VcDgqjDphG
    th-lift-instances-0.1.18-JxLZUQ3RP957nkqTiXyFcq
    transformers-0.5.6.2
    unordered-containers-0.2.13.0-HbayT3cnPyF1l0SwMwTqq2
    utf8-string-1.0.2-7pqBkplor7g1hjwTjVt3SV
    vector-0.12.2.0-95IX5pRBJ9d1AshkFlsixP
    versions-4.0.1-BofYUk4UU1zASNwEwAgYGe
    zenc-0.1.1-JvaW35gFnjuHQuX4eF5ZTK

haddock-interfaces:   /usr/share/doc/haskell-what4/html/what4.haddock
haddock-html:         /usr/share/doc/haskell-what4/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

